#include <stdarg.h>
#include <stdio.h> 

#include "debug.h"


static FILE *ProFile = NULL;

         short deb_count = 0;
         short deb_col   = 0;
unsigned char  deb_cr    = 0;


void DEBOpenProtocol (const char *FileName, int Type)
{
  if (Type == DEB_OVERWRITE)
    ProFile = fopen (FileName, "w+");
  else
    ProFile = fopen (FileName, "a+");

  if (ProFile == NULL)
  {
    ProFile = stderr;
    fprintf (stderr, "ERROR while opening the protocol-file\n");
  }
  else
    fprintf (ProFile, "Protocol-File:\n"
                      "==============\n");
}


void DEBWriteProtocol (const char *Line, ...)
{
  va_list Arguments;

  va_start (Arguments, Line);
  if (ProFile == NULL)
  {
    vfprintf (STREAM, Line, Arguments);
    fflush (STREAM);
  }
  else
  {
    vfprintf (ProFile, Line, Arguments);
    fflush (ProFile);
  }
  va_end (Arguments);
}


void DEBCloseProtocol (void)
{
  if (ProFile != NULL && ProFile != stderr)
    fclose (ProFile);
}


