#ifndef _DLGCB_H
#define _DLGCB_H

#include "dlgUtils.h"
#include "dlgGlobal.h"

/* ***** CallBack-Prototypen: ***** */
void DLG_DualCB       ();             /* Dual-Button                 */
void DLG_TextCB       ();             /* Textfeld                    */
void DLG_IntCB        ();             /* Ganzzahlige Werteingabe     */
void DLG_DoubleCB     ();             /* Fliekomma-Werteingabe      */
#ifdef USER_INPUT
  void DLG_MoveCB     ();
  void DLG_IntCallCB  ();             /*           Proc.-Aufruf      */
  void DLG_RealCallCB ();             /*           Proc.-Aufruf      */
#endif
void DLG_ProcCB       ();             /* Push-Button                 */
void DLG_UpCB         ();             /* Up-Down-Tasten              */
void DLG_DnCB         ();
void DLG_UpDnValCB    ();             /* Up-Down-Wert-nderung       */
void DLG_ScaleCB      ();             /* Ziehregler                  */
void DLG_BarCB        ();             /* Schiebebalken               */
void DLG_ListCB       ();             /* (gescrollte) Liste          */
void DLG_ToggleCB     ();             /* Umschalt-Box                */
void DLG_RadioCB      ();             /* radio-box changed           */
void DLG_MenuCB       ();             /* Optionmenu                  */
void DLG_ArrowCB      ();             /* Pfeil-Button                */
void DLG_PicCB        ();             /* Picture-Button              */
void DLG_ImageCB      ();             /* Image-Button                */
void DLG_FileSelCB    ();             /* FileSelektor                */
void DLG_DialCB       ();             /* Dial                        */
void DLG_SegmentCB    ();             /* 7-Segment-Display           */
void DLG_FSelChangeCB ();             /* FS Selection changed        */
void DLG_FSelOkCB     ();             /* FS     OK-Button            */
void DLG_FSelCancelCB ();             /* FS CANCEL-Button            */
#if (XmVERSION>=2)
  void DLG_NoteCB     ();             /* Notebook-page turned        */
  void DLG_TreeCB     ();             /* Tree-Item                   */
#endif

void DLG_ButtonCB     ();             /* Dlg-Button pressed          */
void DLG_ExitCB       ();

void DLG_HelpCB       ();             /* Help-Callback fr ges. Dlg. */
void DLG_Help2CB      ();             /* Help-Callback fr Elemente  */

#endif
