#ifndef _DLG_SEGMENT_H
#define _DLG_SEGMENT_H


/* Eigene Parameter:
 Name                            Class          Type         Default
--------------------------------------------------------------------------
 DlgNvalue                        int                               0
 DlgNdigits                       int                               4
*/


/* Core Parameter:
 Name                            Class          Type         Default
--------------------------------------------------------------------------
 XtNwidth                        Width        Dimension            50
 XtNheight                       Height       Dimension            70
*/

#include <Xm/Xm.h>


#define SEGMENT_CLASS             "Segment"

#define DlgNvalue                 XmNvalue
#define DlgNdigits                "digits"
#define DlgNdecimals              "decimals"

#define DlgCValue                 XmCValue
#define DlgCDigits                "Digits"
#define DlgCDecimals              "Decimals"


typedef struct _SegmentClassRec *SegmentWidgetClass;
typedef struct _SegmentRec      *SegmentWidget;


extern WidgetClass segmentWidgetClass;


/* Convenience-functions: */
Widget   DLGCreateSegment    (Widget parent, char *Name, 
			      ArgList args, Cardinal num_args);
void     DLGSetSegmentValue  (Widget widget, 
			      double Value, int Digits, int Decimals);

#endif



