#include "libgeo.h"


dual GEOIntersectBounds (POINT3D Min1, POINT3D Max1,
			 POINT3D Min2, POINT3D Max2)
{
  return (Min1.x < Max2.x && Min2.x < Max1.x &&
          Min1.y < Max2.y && Min2.y < Max1.y &&
          Min1.z < Max2.z && Min2.z < Max1.z);
}


dual GEOPointInBounds (POINT3D Min, POINT3D Max, POINT3D Point)
{
  return (Min.x <= Point.x && Point.x <= Max.x &&
          Min.y <= Point.y && Point.y <= Max.y &&
	  Min.z <= Point.z && Point.z <= Max.z);
}
