#ifndef PART_GLOBAL_H
#define PART_GLOBAL_H

#include <debug.h>
#include <libtools.h>

#include "libpart.h"


#define PART_START(l,e) ((e < 0)? l[-e].End : l[e].Start)
#define PART_END(l,e)   ((e < 0)? l[-e].Start : l[e].End)


dual      PART_ReadLine          (FILE *fp);
dual      PART_LoadMatrix        (FILE *fp, H_MATRIX *Matrix);

void      PART_CalcCoordSys      (PART *Part);

dual      PART_Write11           (FILE *fp, PART *Part, dual triangle);
dual      PART_Write12           (FILE *fp, PART *Part);

dual      PART_LocateFaces       (PART *Part, POLYGON *Polygon, 
				  POLYGON **Polygons);


#endif


