#include "tuxCAD.h"


BOX *BoxCB (DIALOG *Dlg, int BaseID, BOX *Box, int BoxID)
{
  switch (BoxID-BaseID)
  {
    case 1 :
      Box->SetLen (DLGGetScale(Dlg, BoxID));
      break;

    default :
      {
	COLOR Color = ColorCB (Dlg, BaseID+2, Box->GetColor(), BoxID, 
			       BASE_MASK);
        Box->SetColor (Color);
      }
  }

  return Box;
}


void BoxDialog (DIALOG *Dlg, int BaseID, BOX *Box)
{
  PRO_START ("")

  if (Box == NULL)
    PRO_ABORT ("No Box")

  DLGMakeRows (Dlg, BaseID, 2, DlgETCHED_IN, BaseID+1, BaseID+2);
  DLGInsertScale (Dlg, BaseID+1, "size", 0.0, 1.0, Box->GetLen(), 2,
		                         DlgHORIZONTAL);
  ColorDialog (Dlg, BaseID+2, Box->GetColor(), BASE_MASK);

  PRO_END
}
