#ifndef MESSAGES_H
#define MESSAGES_H

#define MSG_SELECT_PART            "Select a part..."
#define MSG_SELECT_DEV             "Select a device..."
#define MSG_SELECT_WORLD           "Select a world..."
#define MSG_SELECT_CONFIG          "Select a config file..."
#define MSG_SELECT_WINDOW          "Select a CAD-window..."

#define MSG_YES                    "Yes"
#define MSG_NO                     "No"
#define MSG_OK                     "OK"
#define MSG_ABORT                  "Function aborted"
#define MSG_DONE                   "done"

#define MSG_LOAD_FILE              "Load file..."
#define MSG_LOAD_PART              "Load part..."
#define MSG_LOAD_DEV               "Load device..."
#define MSG_LOAD_WORLD             "Load world..."
#define MSG_LOADING                "Loading '%s'..."
#define MSG_IMPORT                 "Import data..."

#define MSG_MOUSE                  "Mouse: %d / %d"
#define MSG_SELECTED_PART          "Selected part: %s:%s"
#define MSG_SELECTED_DEV           "Selected device: %s"
#define MSG_SELECTED_MOUNT         "Selected device: %s  Mount: %s"
#define MSG_SELECTED_WORLD         "Selected world: %s"

#define MSG_DIALOG_OPEN            "This dialog is already open !"

#define MSG_LOAD_ERROR             "Error while loading !"
#define MSG_ERROR_LOADING          "Error while loading file '%s'"
#define MSG_ERROR_SAVING           "Error while saving file '%s'"
#define MSG_ERROR_IMPORT           "Error importing data"
#define MSG_LOAD_OK                "File loaded successfully"
#define MSG_SAVE_OK                "File saved successfully"

#define MSG_NO_PART                "No part found"
#define MSG_NO_KINEMATIC           "No kinematic defined"
#define MSG_NO_TCP                 "No TCP found"

#define MSG_ASK_DELETE_WORLD       "Really delete this world ?"
#define MSG_ASK_FILE_OVERWRITE     "File '%s' exists - overwrite it ?"


#endif
