#include <assert.h>

#include "libcad3d.h"


UNIT::UNIT (int Id /* = -1 */) :
  Id (Id)
{
  PRO_METHOD ("UNIT", "")
  PRO_END
}


UNIT::~UNIT ()
{
  PRO_METHOD ("~UNIT", "")

  OpenGL->FreeID (Id);

  PRO_END
}


bool UNIT::Create ()
{
  return TRUE;
}


void UNIT::Set () const
{
#if 1
  if (Id > 0)
#else
  if (World != NULL && World->Select() && Id >= 0)
#endif
    glCallList (Id);
}



void UNIT::SetID (const char *Name /* = NULL */)
{
  Id = OpenGL->GetID (Id, Name);
}


int UNIT::GetID () const
{
  return Id;
}

