#ifndef _DLGDATA_H
#define _DLGDATA_H

#include "dlgUtils.h"

DLGBOX   *DLG_GetBox          (DLGBOX *Head, BOX_ID Box);
DLGELEM  *DLG_CheckBoxType    (DIALOG *Dlg,  BOX_ID Box, int Type);

void      DLG_FreeBox         (DLGBOX *Head);
dual      DLG_SplitBox        (DIALOG *Dlg, int BoxID, char *Separator,
				            int Cols, int Rows, int *IDList,
			                    int Dir);
Widget    DLG_CreateBox       (Widget Parent, Widget Top, Widget Left, 
					      DLGBOX *Head, int Dir);
int       DLG_CreateDlg       (Widget Parent, DIALOG *Dlg);
void      DLG_StartDlg        (DIALOG *Dlg,   char *Title,  int   Style, 
			                      CALLFUNCTION  Function);
void      DLG_WriteBoxApp     (FILE *fp, DLGBOX *Head, char *DlgName);
void      DLG_WriteBox        (FILE *fp, DLGBOX *Head, int Indent);

#endif
