#ifndef _PRG_GLOBAL_H
#define _PRG_GLOBAL_H

#include <debug.h>

#include "libprg.h"


#define DELAY_TIME 300 /* msec */


extern PROG *Program;


/* prgUtils.c: */
void        PRG_InstallDescrText (Widget widget, ICONDATA *Entry, int Delay);
void        PRG_InstallDescrWin  (Widget widget, ICONDATA *Entry, int Delay);
void        PRG_RemoveDescrWin   (void);

/* prgMenu.c: */
MENU_ENTRY *PRG_SearchMenuEntry  (MENU_BAR *MenuBar, char *Name);
void        PRG_SetMenuBar       (PROG *Program, MENU_BAR *MenuBar);
dual        PRG_SetMenuActive    (PROG *Program, char *Name, dual active);

/* prgToolBar.c: */
Widget      PRG_MakeToolBar      (PROG *Program);
void        PRG_FreeToolBar      (TOOLDATA *ToolBar);

#endif
