#include "libsim3d.h"


INTERFACE::INTERFACE ()
{
};
  

INTERFACE::~INTERFACE () 
{ 
};


char *INTERFACE::SendCmd (const char *Cmd, ...)
{
  return NULL; 
}


double INTERFACE::GetSpeed () const
{
  return 0.0; 
}


int INTERFACE::GetHand () const
{ 
  return 0; 
}


bool INTERFACE::SetSpeed (double Speed)
{ 
  return FALSE; 
}


bool INTERFACE::OpenHand () const
{ 
  return FALSE; 
}


bool INTERFACE::CloseHand () const
{ 
  return FALSE; 
}


bool INTERFACE::Place (const JOINTS &Joint) const
{ 
  return FALSE;
}


bool INTERFACE::Break () const
{ 
  return FALSE; 
}


JOINTS INTERFACE::GetRobotPos () const
{ 
  return JOINTS(); 
}


FRAME INTERFACE::GetPos () const
{ 
  return FRAME(); 
}


FRAME INTERFACE::Teach (const char *Msg /* = NULL */, ...)
{
  return FRAME();
}
